Name: sweets-raptor
Version: 2.0.7
Epoch: 1
Release: 8.2
Group: Development/Tools/Other
Summary: The RDF Parser Toolkit
License: ASL 2.0; GPLv2; LGPLv2
Url: http://librdf.org/raptor/

Source: raptor2-2.0.7.tar.gz
Source1: sweet.tar.gz



Requires: libicu
Requires: libxml2
Requires: libxslt
Requires: yajl
BuildRequires: flex
BuildRequires: gcc
BuildRequires: libicu-devel
BuildRequires: libxml2-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: libxslt
BuildRequires: yajl-devel
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
The RDF Parser Toolkit

%prep
%setup -n raptor2-2.0.7

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
[ `icu-config --version | awk -F. '{print $1.$2}'` -ge 44 ] && icu_dep="--with-icu-config=icu-config"; ./configure --disable-static --with-www=xml --with-yajl $icu_dep --prefix=/opt/sweets/raptor CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/raptor '' '' > sweets-raptor.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/raptor/sweets.recipe >> sweets-raptor.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/raptor '' '' >> sweets-raptor.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/raptor
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/raptor/pydirs)
echo /opt/sweets/raptor/pydirs >> sweets-raptor.files

%post
test -e /opt/sweets/raptor/pydirs && for i in `cat /opt/sweets/raptor/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/raptor/pydirs && for i in `cat /opt/sweets/raptor/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-raptor.files

%changelog
